/********************************************************************************
 * Copyright (c) 2025 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

 .rights-config-wrapper {
  display: grid;
  grid-template-rows: 1fr auto ;
  row-gap: .5rem;
  height: 100%;
  overflow: hidden;
}
 
:host ::ng-deep .p-panel-content {
  max-height: 25rem;
  overflow: auto;
}  
:host ::ng-deep .p-panel-toggleable.p-panel-expanded .p-toggleable-content:not(.ng-animating) {
  max-height: 25rem;
  overflow: auto;
} 

:host ::ng-deep .p-treetable.p-treetable-sm .p-treetable-header {
  padding: 0.25rem 0.5rem;
}

:host ::ng-deep .p-treetable-scrollable-header {
  flex-grow: 0; flex-shrink: 0;
}
:host ::ng-deep .p-treetable-flex-scrollable .p-treetable-scrollable-wrapper {
  height: calc(100% - 45px);
}